Pular para o conteúdo principal
GET
/
marketing
/
v3
/
forms
Obter uma lista de formulários
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/forms/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "formType": "hubspot",
      "id": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "archived": true,
      "fieldGroups": [
        {
          "fields": [
            {
              "dependentFields": [
                {
                  "dependentCondition": {
                    "operator": "between",
                    "rangeEnd": "<string>",
                    "rangeStart": "<string>",
                    "value": "<string>",
                    "values": [
                      "<string>"
                    ]
                  },
                  "dependentField": "<unknown>"
                }
              ],
              "fieldType": "email",
              "hidden": true,
              "label": "<string>",
              "name": "<string>",
              "objectTypeId": "<string>",
              "required": true,
              "validation": {
                "blockedEmailDomains": [
                  "<string>"
                ],
                "useDefaultBlockList": true
              },
              "defaultValue": "<string>",
              "description": "<string>",
              "placeholder": "<string>"
            }
          ],
          "groupType": "default_group",
          "richTextType": "image",
          "richText": "<string>"
        }
      ],
      "configuration": {
        "allowLinkToResetKnownValues": true,
        "archivable": true,
        "cloneable": true,
        "createNewContactForNewEmail": true,
        "editable": true,
        "language": "af",
        "lifecycleStages": [
          {
            "objectTypeId": "<string>",
            "value": "<string>"
          }
        ],
        "notifyContactOwner": true,
        "notifyRecipients": [
          "<string>"
        ],
        "postSubmitAction": {
          "type": "redirect_url",
          "value": "<string>"
        },
        "prePopulateKnownValues": true,
        "recaptchaEnabled": true,
        "embedType": "V3"
      },
      "displayOptions": {
        "renderRawHtml": true,
        "style": {
          "backgroundWidth": "<string>",
          "fontFamily": "<string>",
          "helpTextColor": "<string>",
          "helpTextSize": "<string>",
          "labelTextColor": "<string>",
          "labelTextSize": "<string>",
          "legalConsentTextColor": "<string>",
          "legalConsentTextSize": "<string>",
          "submitAlignment": "center",
          "submitColor": "<string>",
          "submitFontColor": "<string>",
          "submitSize": "<string>"
        },
        "submitButtonText": "<string>",
        "theme": "canvas",
        "cssClass": "<string>"
      },
      "legalConsentOptions": {
        "type": "none"
      },
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Produtos suportados

Requer um dos seguintes produtos ou superior.
Marketing HubMarketing Hub -Grátis
Sales HubSales Hub -Grátis
Service HubService Hub -Grátis
Content HubContent Hub -Grátis

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de consulta

after
string

O token do cursor de paginação do último recurso lido com sucesso será retornado como a propriedade JSON "paging.next.after" de uma resposta paginada que contém mais resultados.

archived
boolean

Se apenas os resultados que foram arquivados devem ser retornados.

formTypes
enum<string>[]

Os tipos de formulário a serem incluídos nos resultados.

Opções disponíveis:
hubspot,
captured,
flow,
blog_comment,
all
limit
integer<int32>

O número máximo de resultados a serem exibidos por página.

Resposta

successful operation

results
object[]
obrigatório
paging
object
Last modified on February 12, 2026